purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.CST.Parser

# Documentation

parseType :: Parser (Type ()) #

parseExpr :: Parser (Expr ()) #

parseDecl :: Parser (Declaration ()) #

parseIdent :: Parser (Name Ident) #

parseOperator :: Parser OpName #

parseModule :: [LexResult] -> Either (NonEmpty ParserError) (PartialResult (Module ())) #

parseImportDeclP :: Parser (ImportDecl ()) #

parseDeclP :: Parser (Declaration ()) #

parseExprP :: Parser (Expr ()) #

parseTypeP :: Parser (Type ()) #

parseModuleNameP :: Parser (Name ModuleName) #

parseQualIdentP :: Parser (QualifiedName Ident) #

parse :: Text -> ([ParserWarning], Either (NonEmpty ParserError) (Module ())) #

data PartialResult a #

Constructors

PartialResult |

Fields

- resPartial :: a
- resFull :: ([ParserWarning], Either (NonEmpty ParserError) a)

#### Instances

Instances details

Functor PartialResult # |
Instance details Defined in Language.PureScript.CST.Parser Methods fmap :: (a -> b) -> PartialResult a -> PartialResult b # (<$) :: a -> PartialResult b -> PartialResult a #